#include <DHT.h>

#define DHT_PIN 8       // DHT 設定的引腳
#define LED_PIN 7       // LED 設定的引腳
#define DHT_TYPE DHT11  // DHT 感測器類型（DHT11 或 DHT22）

DHT dht(DHT_PIN, DHT_TYPE);

void setup() {
  Serial.begin(115200);
  dht.begin();
  pinMode(LED_PIN, OUTPUT);
}

void loop() {
  float temperature = dht.readTemperature();  // 讀取攝氏溫度
  float humidity = dht.readHumidity();        // 讀取濕度

  if (isnan(temperature) || isnan(humidity)) {
    Serial.println("Failed to read from DHT sensor!");
    return;
  }

  // 將溫濕度資料發送到序列埠，格式化輸出
  Serial.print("Temperature: ");
  Serial.println(temperature);  // Python 程式會解析這一行

  // 控制 LED 狀態
  if (temperature > 35) {
    digitalWrite(LED_PIN, LOW);  // LED 點亮（溫度過高）
  } else {
    digitalWrite(LED_PIN, HIGH); // LED 熄滅
  }

  delay(1000);  // 每秒發送一次
}
